// Randomises the weights of the selected text
// in LTR NCND
// v 1.0 LettError.com 2023
// Provided as is, to licensees of 
// LTR NCND. No guarantees.

app.selection[0].appliedFont = "NCND10VF"
var selectedText = app.selection[0].characters;
var t = selectedText[0];
var myDesignAxesValues = t.appliedFont.designAxesValues;

function randomWeightValue()
{
    var result;
    function getRandom(min,max)
    {
        return Math.floor(Math.random() * (max - min + 1) + min);
    }
    var MIN = 250;
    var MAX = 900;
   
    var level1 = getRandom(1,10);
    var level2 = 0;
    for(var x=0;x<level1;x++)
    {
        level2 += getRandom(1,5);
    }
    var inc = getRandom(1,3);
    for(var x=0;x<level2;x += inc)
    {
        result = getRandom(MIN,MAX);
    }
    return result;
}

var w0 = 250;
var w1 = 900;

var wstep = (w1-w0)/selectedText.length;

for (s=0; s<selectedText.length; s++){
    myDesignAxesValues[0]=randomWeightValue()
    selectedText[s].designAxes=myDesignAxesValues;
}